#
# spec file for package gsoap
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gsoap
%define lname	libgsoap-2_8
Version:        2.8.22
Release:        0
Summary:        Toolkit for C/C++ server and client web service applications
License:        SUSE-GPL-2.0+-with-openssl-exception
Group:          Development/Libraries/C and C++
Url:            http://gsoap2.sf.net/

#DL-URL:	http://downloads.sf.net/gsoap2/gsoap_2.8.22.zip
Source:         gsoap-%version.tar.xz
Source2:        sanitize_source.sh
Patch13:        gsoap-automake1_13.diff
Patch1:         gsoap-01-sharedlibs.diff
Patch2:         gsoap-02-typepuns.diff
Patch3:         gsoap-mindeflateratio.diff
Patch4:         gsoap-allocator.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  pkg-config
BuildRequires:  xz
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  pkgconfig(libcrypto)
BuildRequires:  pkgconfig(libssl)
BuildRequires:  pkgconfig(zlib)
%if 0%{?suse_version}
BuildRequires:  fdupes
%endif

%description
The gSOAP toolkit provides a cross-platform software development
toolkit for C and C++ server and client Web service applications, and
simplifies the overall use of XML in any type of application. The
toolkit supports SOAP 1.1/1.2 RPC encoding and document/literal
styles, WSDL 1.1, MTOM/MIME/DIME attachments (streaming),
SOAP-over-UDP, request-response and one-way messaging. The toolkit
also supports WS-Addressing and WS-Security, with several other WS-*
available or under development.

%package devel
Summary:        Development files for the gSOAP toolkit
Group:          Development/Libraries/C and C++

%description devel
This package contains the runtime development programs for gSOAP.

%package -n %lname
Summary:        Runtime libraries for gSOAP
Group:          Development/Libraries/C and C++

%description -n %lname
The gSOAP toolkit provides a cross-platform software development
toolkit for C and C++ server and client Web service applications, and
simplifies the overall use of XML in any type of application. The
toolkit supports SOAP 1.1/1.2 RPC encoding and document/literal
styles, WSDL 1.1, MTOM/MIME/DIME attachments (streaming),
SOAP-over-UDP, request-response and one-way messaging. The toolkit
also supports WS-Addressing and WS-Security, with several other WS-*
available or under development.

%package -n libgsoap-devel
Summary:        Development files for libgsoap
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description -n libgsoap-devel
This package contains the include headers and development library
symlinks for libgsoap.

%prep
%setup -q
cmp gsoap/stdsoap2.cpp gsoap/stdsoap2.c
%patch -P 13 -P 1 -P 2 -P 3 -P 4 -p1
cp gsoap/stdsoap2.cpp gsoap/stdsoap2.c

%build
# Rebuild configure - fix that utterly long mktime test.
autoreconf -fi;

%configure --enable-ipv6 --disable-static
pushd gsoap/src/;
# build prerequisites for parallel build first
make soapcpp2_yacc.c;
popd;
make %{?_smp_mflags};

%install
b="%buildroot";
make install DESTDIR="$b";
rm -f "$b/%_libdir"/*.la;
%if 0%{?fdupes:1}
%fdupes %buildroot
%endif

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%files devel
%defattr(-,root,root)
%_bindir/*
%_datadir/%name

%files -n %lname
%defattr(-,root,root)
%_libdir/*-2.8.so

%files -n libgsoap-devel
%defattr(-,root,root)
%_includedir/*
%_libdir/libgsoap.so
%_libdir/libgsoapck.so
%_libdir/libgsoapssl.so
%_libdir/libgsoap++.so
%_libdir/libgsoapck++.so
%_libdir/libgsoapssl++.so
%_libdir/pkgconfig/*

%changelog
